import pytest

from ids_list import get_ids
import path_setting
from in_common.base_request import BaseRequest
from all_backend_api.common_request import common_request


class TestRrplySubReply:
    data = BaseRequest().api_load(path_setting.TOPIC_SUB_COMMON)
    topic_sub_common_case, topic_sub_common_data = get_ids(data, "topic_sub_common")

    @pytest.mark.parametrize("param", topic_sub_common_data, ids=topic_sub_common_case)
    def test_reply_sub_reply(self, param):
        r = common_request().topic_sub_common(param["id"], param["type"], param["reply_id"],param["offset"],param["start_num"])
        print("返回结果", r)
        assert r["error"] == 0






